ru.bitel.bgbilling.kernel.tariff.common.bean

## Class TariffLabelItem

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.tariff.common.bean.TariffLabelItem

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class TariffLabelItem
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffLabelItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParentId()`
    `int` | `getTariffLinkCount()`
    `boolean` | `isSelected()`
    `void` | `setParentId(int parentId)`
    `void` | `setSelected(boolean selected)`
    `void` | `setTariffLinkCount(int tariffLinkCount)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### TariffLabelItem

          public TariffLabelItem()

  - ### Method Detail

    - #### getParentId

          public int getParentId()

    - #### setParentId

          public void setParentId(int parentId)

    - #### getTariffLinkCount

          public int getTariffLinkCount()

    - #### setTariffLinkCount

          public void setTariffLinkCount(int tariffLinkCount)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)